package com.yiqi.core.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import com.yiqi.core.domain.SettlementStoreStatistics;

/**
 * 门店每日统计Mapper接口
 *
 * @author douya
 * @date 2025-03-21
 */
@Mapper
public interface SettlementStoreStatisticsMapper extends BaseMapper<SettlementStoreStatistics> {

    /**
     * 查询门店每日统计列表
     *
     * @param settlementStoreStatistics 门店每日统计
     * @return 门店每日统计集合
     */
    public List<SettlementStoreStatistics> selectSettlementStoreStatisticsList(SettlementStoreStatistics settlementStoreStatistics);

    /**
     * 删除门店每日统计
     *
     * @param id 门店每日统计主键
     * @return 结果
     */
    public int deleteSettlementStoreStatisticsById(Long id);

    /**
     * 批量删除门店每日统计
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSettlementStoreStatisticsByIds(Long[] ids);
}
